<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package LEARNIFY
 * @since LEARNIFY 1.0
 */

							do_action( 'learnify_action_page_content_end_text' );
							
							// Widgets area below the content
							learnify_create_widgets_area( 'widgets_below_content' );
						
							do_action( 'learnify_action_page_content_end' );
							?>
						</div>
						<?php
						
						do_action( 'learnify_action_after_page_content' );

						// Show main sidebar
						get_sidebar();

						do_action( 'learnify_action_content_wrap_end' );
						?>
					</div>
					<?php

					do_action( 'learnify_action_after_content_wrap' );

					// Widgets area below the page and related posts below the page
					$learnify_body_style = learnify_get_theme_option( 'body_style' );
					$learnify_widgets_name = learnify_get_theme_option( 'widgets_below_page', 'hide' );
					$learnify_show_widgets = ! learnify_is_off( $learnify_widgets_name ) && is_active_sidebar( $learnify_widgets_name );
					$learnify_show_related = learnify_is_single() && learnify_get_theme_option( 'related_position', 'below_content' ) == 'below_page';
					if ( $learnify_show_widgets || $learnify_show_related ) {
						if ( 'fullscreen' != $learnify_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $learnify_show_related ) {
							do_action( 'learnify_action_related_posts' );
						}

						// Widgets area below page content
						if ( $learnify_show_widgets ) {
							learnify_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $learnify_body_style ) {
							?>
							</div>
							<?php
						}
					}
					do_action( 'learnify_action_page_content_wrap_end' );
					?>
			</div>
			<?php
			do_action( 'learnify_action_after_page_content_wrap' );

			// Don't display the footer elements while actions 'full_post_loading' and 'prev_post_loading'
			if ( ( ! learnify_is_singular( 'post' ) && ! learnify_is_singular( 'attachment' ) ) || ! in_array ( learnify_get_value_gp( 'action' ), array( 'full_post_loading', 'prev_post_loading' ) ) ) {
				
				// Skip link anchor to fast access to the footer from keyboard
				?>
				<a id="footer_skip_link_anchor" class="learnify_skip_link_anchor" href="#"></a>
				<?php

				do_action( 'learnify_action_before_footer' );

				// Footer
				$learnify_footer_type = learnify_get_theme_option( 'footer_type' );
				if ( 'custom' == $learnify_footer_type && ! learnify_is_layouts_available() ) {
					$learnify_footer_type = 'default';
				}
				get_template_part( apply_filters( 'learnify_filter_get_template_part', "templates/footer-" . sanitize_file_name( $learnify_footer_type ) ) );

				do_action( 'learnify_action_after_footer' );

			}
			?>

			<?php do_action( 'learnify_action_page_wrap_end' ); ?>

		</div>

		<?php do_action( 'learnify_action_after_page_wrap' ); ?>

	</div>

	<?php do_action( 'learnify_action_after_body' ); ?>

	<?php wp_footer(); ?>

</body>
</html>