<?php
/**
 * The template 'Style 5' to displaying related posts
 *
 * @package LEARNIFY
 * @since LEARNIFY 1.0.54
 */

$learnify_link        = get_permalink();
$learnify_post_format = get_post_format();
$learnify_post_format = empty( $learnify_post_format ) ? 'standard' : str_replace( 'post-format-', '', $learnify_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $learnify_post_format ) ); ?> data-post-id="<?php the_ID(); ?>">
	<?php
	learnify_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'learnify_filter_related_thumb_size', learnify_get_thumb_size( (int) learnify_get_theme_option( 'related_posts' ) == 1 ? 'big' : 'med' ) ),
		)
	);
	?>
	<div class="post_header entry-header">
		<h6 class="post_title entry-title"><a href="<?php echo esc_url( $learnify_link ); ?>"><?php
			if ( '' == get_the_title() ) {
				esc_html_e( '- No title -', 'learnify' );
			} else {
				the_title();
			}
		?></a></h6>
		<?php
		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
			?>
			<div class="post_meta">
				<a href="<?php echo esc_url( $learnify_link ); ?>" class="post_meta_item post_date"><?php echo wp_kses_data( learnify_get_date() ); ?></a>
			</div>
			<?php
		}
		?>
	</div>
</div>
